<?php
/**
 * Created by PhpStorm.
 * User: danielknudsen
 * Date: 03.04.18
 * Time: 09:18
 */
namespace App\Entity\IFace;
use Doctrine\Common\Persistence\ObjectManager;

/**
 * Interface for regular entity classes
 *
 * Interface IEntity
 * @package App\Entity\iface
 */
interface IEntity
{
    public function getId();
    public function clientMapper(ObjectManager $em, $fullMapping = false);
}